OpenTTD Source: src/smallmap_gui.h File Reference

OpenTTD Source 14.0-beta1

Enumerations | Functions
smallmap_gui.h File Reference
`#include "core/geometry_type.hpp"`
`#include "station_type.h"`
`#include "tile_type.h"`
`#include "window_type.h"`

Go to the source code of this file.

## Enumerations
enum | IncludeHeightmap { IncludeHeightmap::Never, IncludeHeightmap::IfEnabled, IncludeHeightmap::Always }
| Enum for how to include the heightmap pixels/colours in small map related functions. More...

## Functions
void | BuildLinkStatsLegend ()
| Populate legend table for the link stat view.
void | BuildIndustriesLegend ()
| Fills an array for the industries legends.
void | ShowSmallMap ()
| Show the smallmap window.
void | BuildLandLegend ()
| (Re)build the colour tables for the legends.
void | BuildOwnerLegend ()
| Completes the array for the owned property legend.
uint32_t | GetSmallMapOwnerPixels (TileIndex tile, TileType t, IncludeHeightmap include_heightmap)
| Return the colour a tile would be displayed with in the small map in mode "Owner". More...
Point | GetSmallMapStationMiddle (const Window *w, const Station *st)
| Determine the middle of a station in the smallmap window. More...

## Detailed Description

Smallmap GUI functions.

Definition in file smallmap_gui.h.

## Enumeration Type Documentation

## ◆ IncludeHeightmap

enum IncludeHeightmap
| strong

Enum for how to include the heightmap pixels/colours in small map related functions.

Enumerator
Never | Never include the heightmap.
IfEnabled | Only include the heightmap if its enabled in the gui by the player.
Always | Always include the heightmap.

Definition at line 27 of file smallmap_gui.h.

## Function Documentation

## ◆ GetSmallMapOwnerPixels()

uint32_t GetSmallMapOwnerPixels | ( | TileIndex | tile,
|  | TileType | t,
|  | IncludeHeightmap | include_heightmap
| ) |  |

Return the colour a tile would be displayed with in the small map in mode "Owner".

Note
  If include_heightmap is IH_NEVER, the return value can safely be used as a palette colour (by masking it to a uint8_t)

Parameters

  tile | The tile of which we would like to get the colour.
  t | Effective tile type of the tile (see SmallMapWindow::GetTileColours).
  include_heightmap | Whether to return the heightmap/contour colour of this tile (instead of the default land tile colour)

Returns
  The colour of tile in the small map in mode "Owner"

Definition at line 582 of file smallmap_gui.cpp.

References MP_VOID.

## ◆ GetSmallMapStationMiddle()

Point GetSmallMapStationMiddle | ( | const Window * | w,
|  | const Station * | st
| ) |  |

Determine the middle of a station in the smallmap window.

Parameters

  st | The station we're looking for.

Returns
  Middle point of the station in the smallmap window.

Definition at line 2028 of file smallmap_gui.cpp.